%define api_ver 2.4
%define ver_major 2.26
%def_disable static
%def_disable gtk_doc
%def_enable ssl
%def_with gnome

Name: libsoup
Version: %ver_major.1
Release: alt1

Summary: Simple Object Access Protocol implementation
Group: System/Libraries
License: LGPLv2+
Url: http://www.gnome.org/projects/evolution/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-%ver_major.map
Source2: %name-gnome-%ver_major.map
Patch1: %name-2.25.4-alt-symver.patch

Obsoletes: soup
Provides: soup = %version-%release

Provides: libsoup2.4 = %version-%release
Obsoletes: libsoup2.4 < %version-%release

%define gnutls_ver 1.4.0
%define glib_ver 2.15.3

%if_enabled ssl
Requires: libgnutls >= %gnutls_ver
BuildRequires: libgnutls-devel >= %gnutls_ver
BuildRequires: libtasn1-devel libgcrypt-devel libgpg-error-devel
%endif

# from configure.in
BuildPreReq: glib2-devel >= %glib_ver 
BuildPreReq: libgio-devel >= %glib_ver
BuildPreReq: libxml2-devel libGConf-devel libsqlite3-devel

BuildRequires: docbook-dtds docbook-style-xsl common-licenses
BuildRequires: gtk-doc pkg-config xml-common xsltproc zlib-devel
BuildRequires: libproxy-devel

%description
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package gnome
Summary: Simple Object Access Protocol implementation (GNOME part)
Group: System/Libraries
Requires: %name = %version-%release

%description gnome
Simple Object Access Protocol implementation Library (GNOME part)

%package devel
Summary: Headers for Simple Object Access Protocol library
Group: Development/C
Obsoletes: soup-devel
Provides: soup-devel = %version-%release
Obsoletes: libsoup2.4-devel < %version-%release
Provides: libsoup2.4-devel = %version-%release
Requires: %name = %version-%release
%if_enabled ssl
Requires: libgnutls-devel >= %gnutls_ver
%endif

%description devel
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package allows to develop applications that use the Soup library.

%package gnome-devel
Summary: Headers for Simple Object Access Protocol library (GNOME part)
Group: Development/C
Requires: %name = %version-%release

%description gnome-devel
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package allows to develop applications that use the Soup library.

%package devel-doc
Summary: Development documentation for Simple Object Access Protocol library
Group: Development/C
Conflicts: %name < %version
Obsoletes: libsoup2.4-devel-doc < %version-%release
Provides: libsoup2.4-devel-doc = %version-%release
BuildArch: noarch

%description devel-doc
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains development documentation for Soup.

%package devel-static
Summary: Headers for Simple Object Access Protocol static library
Group: Development/C
Obsoletes: soup-devel-static
Provides: soup-devel-static = %version-%release
Requires: %name-devel = %version-%release
Obsoletes: libsoup2.4-devel-static < %version-%release
Provides: libsoup2.4-devel-static = %version-%release

%description devel-static
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package allows to develop applications that statically linked
against Soup library.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q
install -p -m644 %SOURCE1 %name/%name.map
install -p -m644 %SOURCE2 %name/%name-gnome.map
%patch1 -p1

rm -f COPYING
ln -s %_licensedir/LGPL-2 COPYING
bzip2 -9k ChangeLog

%build
%autoreconf
%configure \
    --disable-dependency-tracking \
    %{subst_enable static} \
    %{subst_enable ssl} \
    %{subst_with gnome} \
    %{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/%name-%api_ver.so.*
%doc README ChangeLog.bz2 NEWS AUTHORS
%doc --no-dereference COPYING

%files gnome
%_libdir/%name-gnome-%api_ver.so.*

%files devel
%_includedir/%name-%api_ver/
%_libdir/%name-%api_ver.so
%_libdir/pkgconfig/%name-%api_ver.pc

%files gnome-devel
%_includedir/%name-gnome-%api_ver/
%_libdir/%name-gnome-%api_ver.so
%_libdir/pkgconfig/%name-gnome-%api_ver.pc

%files devel-doc
%_gtk_docdir/%name-%api_ver/

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Thu Apr 09 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0.9-alt1
- new version
- updated version script for SOUP_GNOME_2.26.0.9

* Tue Mar 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Feb 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.91-alt1
- 2.25.91

* Tue Feb 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.5-alt1
- 2.25.5
- added libproxy-devel to buildreqs

* Wed Jan 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.4-alt1
- 2.25.4
- updated version scripts for SOUP_2.25.4
- new libsoup-gnome{,-devel} packages
- added versioning for SOUP_GNOME_2.25.4
- updated buildreqs

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Mon Jan 05 2009 Alexey Shabalin <shaba@altlinux.ru> 2.24.2.1-alt1.1
- rebuild with gnutls-2.6

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2.1-alt1
- new version

* Mon Nov 24 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete *ldconfig from %%post{,un}

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- don't rebuild documentation

* Sat Sep 27 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0.1-alt1
- 2.24.0.1
- add versioning
- build devel-doc as noarch

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Mar 17 2008 Alexey Shabalin <shaba@altlinux.ru> 2.4.0-alt1.1
- build for Sisyphus

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.4.0-alt1
- add provides/obsoletes

* Wed Mar 12 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.4.0-alt0.1
- 2.4.0

* Fri Nov 30 2007 Ilya Mashkin <oddity@altlinux.ru> 2.2.104-alt1
- updated to 2.2.104

* Tue Nov 22 2007 Ilya Mashkin <oddity@altlinux.ru> 2.2.103-alt1
- updated to 2.2.103  (fix #13486)
- add libsoup-2.2.103-client-ssl.patch (fix #13485)

* Sat Feb 24 2007 Ilya Mashkin <oddity@altlinux.ru> 2.2.100-alt1
- updated to 2.2.100
- disabled old patches

* Mon Jan 01 2007 Ilya Mashkin <oddity@altlinux.ru> 2.2.96-alt2
- fix URL

* Fri Sep 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.96-alt1
- Updated to 2.2.96

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.93-alt1
- Release 2.2.93
- Patch1: Remove internal dependencies from pkgconfig flags,
  using the Requires tag instead (bug 9568)

* Sat Apr 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.92-alt1
- Release 2.2.92

* Thu Mar 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.91-alt2
- Patch0: add missing libraries to linker flags

* Thu Mar 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.91-alt1
- 2.2.91
- Install the license symlink
- Compressed ChangeLog

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.7-alt1.1
- Rebuilt for new pkg-config dependencies.

* Tue Nov 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.7-alt1
- 2.2.7

* Wed Aug 31 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.6.1-alt1
- Updated to 2.2.6.1

* Wed Jun 01 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.3-alt1.1
- Rebuilt with libgnutls.so.12.

* Tue Mar 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Fri Feb 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2
- documentation moved to devel-doc subpackage.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Thu Sep 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.12-alt1
- 2.1.12

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.11-alt1
- 2.1.11

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.10-alt1
- 2.1.10

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt2
- rebuild against new gnutls (1.0.10).

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Tue Jan 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- new version

* Thu Jun 19 2003 AEN <aen@altlinux.ru> 1.99.23-alt1
- new version
- obsolete packagw soup

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.7.9-alt1
- 0.7.9 release

* Fri Oct 25 2002 AEN <aen@altlinux.ru> 0.7.9-alt0.1
- first Sisyphus build, spec based on Ximian's

* Fri Oct 25 2002 Ximian, Inc.

- Version: 0.7.8.99-snap.ximian.200210250601
- Summary: New build.
- New automated build.

* Tue Oct 1 2002 Ximian, Inc.

- Version: 0.7.8-ximian.1
- Summary: New build.
- New automated build.

* Sun Mar 3 2002 Ximian, Inc.

- Version: 0.6.0-ximian.1
- Summary: New build.
- New automated build.
